# Generated by Django 3.0.5 on 2020-09-22 02:58

from django.db import migrations, models
import django.db.models.deletion
import match_manager.utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Room',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('password', models.CharField(max_length=100)),
                ('max_players', models.IntegerField()),
                ('empty', models.BooleanField(default=False)),
                ('private', models.BooleanField(default=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Players',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('game_character_id', models.IntegerField(null=True)),
                ('name', models.CharField(max_length=100)),
                ('code', models.IntegerField(null=True)),
                ('position', match_manager.utils.fields.EmbeddedDictField(model_container=dict, null=True)),
                ('passed', models.BooleanField(default=False)),
                ('moved', models.BooleanField(default=False)),
                ('used_skill', models.BooleanField(default=False)),
                ('room', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='match_manager.Room')),
            ],
        ),
    ]
